<?xml version="1.0" encoding="UTF-8"?>
<domain-models xmlns="http://axelor.com/xml/ns/domain-models"
               xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
               xsi:schemaLocation="http://axelor.com/xml/ns/domain-models http://axelor.com/xml/ns/domain-models/domain-models_5.2.xsd">

    <module name="account" package="com.axelor.apps.account.db"/>

    <entity name="CashDenomination" lang="java" cacheable="true">

        <string name="name" title="Name" required="true"/>
        <string name="code" title="Code" required="true" hashKey="true"/>
        <integer name="typeSelect" title="Type select" selection="account.cash.denomination.type.select"/>
        <decimal name="denominationValue" title="Denomination value"/>

        <extra-code><![CDATA[
	
         // TTPE SELECT
         public static final int BANK_NOTE_TYPE = 1;
         public static final int COINT_TYPE = 2;
 
     ]]></extra-code>

        <track>
      		<field name="name"/>
      		<field name="code"/>
      		<field name="denominationValue"/>
      	</track>

    </entity>
</domain-models>
